<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://https://https://themeatelier.net
 * @since             1.0.0
 * @package           Eventful_Pro
 *
 * @wordpress-plugin
 * Plugin Name:       Eventful Pro
 * Plugin URI:        https://https://wp-plugins.themeatelier.net/eventful
 * Description:       Professional Event Post Layouts Addon For WordPress
 * Version:           2.0.0
 * Author:            ThemeAtelier
 * Author URI:        https://https://https://themeatelier.net/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       eventful-pro
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (! defined('WPINC')) {
	die;
}
require_once __DIR__ . '/vendor/autoload.php';

use ThemeAtelier\EventfulPro\EventfulPro;

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('EVENTFUL_PRO_VERSION', '2.0.0');
define('EVENTFUL_PRO_FILE', __FILE__);
define('EVENTFUL_PRO_DIR_URL', plugin_dir_url(__FILE__));
define('EVENTFUL_PRO_FILE_SRC', EVENTFUL_PRO_FILE . 'src/');
define('EVENTFUL_PRO_DIR_URL_ADMIN', EVENTFUL_PRO_DIR_URL . 'src/Admin/');
define('EVENTFUL_PRO_PATH', dirname(EVENTFUL_PRO_FILE));
define('EVENTFUL_PRO_DIR_PATH', plugin_dir_path(__FILE__));
define('EVENTFUL_PRO_ALERT_MSG', esc_html__('You should not access this file directly.!', 'eventful-pro'));
define('EVENTFUL_PRO_BASENAME', plugin_basename(__FILE__));
define('EVENTFUL_PRO_DIR_NAME', dirname(__FILE__));
define('EVENTFUL_PRO_COUNTRIES', EVENTFUL_PRO_DIR_PATH . 'src/Helpers/Countries/');

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function eventful_pro_run()
{

	$plugin = new EventfulPro();
	$plugin->run();
}
eventful_pro_run();

/**
 * Initialize the plugin tracker
 *
 * @return void
 */
function eventful_pro_appsero_init()
{
	if (!class_exists('EventfulProAppSero\Insights')) {
		require_once  EVENTFUL_PRO_DIR_PATH . 'src/Admin/appsero/Client.php';
	}
	$client = new EventfulProAppSero\Client('cdfef3c5-42d0-4520-b48d-b6ace3ab7bb4', 'Eventful Pro', __FILE__);
	// Active insights
	$client->insights()->init();
}

eventful_pro_appsero_init();