<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access directly.
/**
 *
 * Field: backup
 *
 * @since 1.0.0
 * @version 1.0.0
 *
 */
use ThemeAtelier\EventfulPro\Admin\Framework\Classes\EventfulPro;

if ( ! class_exists( 'EventfulProField_backup' ) ) {
  class EventfulProField_backup extends EventfulProFields {

    public function __construct( $field, $value = '', $unique = '', $where = '', $parent = '' ) {
      parent::__construct( $field, $value, $unique, $where, $parent );
    }

    public function render() {

      $unique = $this->unique;
      $nonce  = wp_create_nonce( 'eventful_pro_backup_nonce' );
      $export = add_query_arg( array( 'action' => 'eventful-pro-export', 'unique' => $unique, 'nonce' => $nonce ), admin_url( 'admin-ajax.php' ) );

      echo wp_kses_post( $this->field_before() );

      echo '<textarea name="eventful_pro_import_data" class="eventful-pro-import-data"></textarea>';
      echo '<button type="submit" class="button button-primary eventful-pro-confirm eventful-pro-import" data-unique="'. esc_attr( $unique ) .'" data-nonce="'. esc_attr( $nonce ) .'">'. esc_html__( 'Import', 'eventful-pro' ) .'</button>';
      echo '<hr />';
      echo '<textarea readonly="readonly" class="eventful-pro-export-data">'. esc_attr( wp_json_encode( get_option( $unique ) ) ) .'</textarea>';
      echo '<a href="'. esc_url( $export ) .'" class="button button-primary eventful-pro-export" target="_blank">'. esc_html__( 'Export & Download', 'eventful-pro' ) .'</a>';
      echo '<hr />';
      echo '<button type="submit" name="eventful_pro_transient[reset]" value="reset" class="button eventful-pro-warning-primary eventful-pro-confirm eventful-pro-reset" data-unique="'. esc_attr( $unique ) .'" data-nonce="'. esc_attr( $nonce ) .'">'. esc_html__( 'Reset', 'eventful-pro' ) .'</button>';

      echo wp_kses_post( $this->field_after() );

    }

  }
}
