<?php

namespace ThemeAtelier\EventfulPro\Admin\Views;

use ThemeAtelier\EventfulPro\Admin\Framework\Classes\EventfulPro;
use ThemeAtelier\EventfulPro\Admin\Views\Generator\EventfulLayout;
use ThemeAtelier\EventfulPro\Admin\Views\Generator\EventfulFilterPost;
use ThemeAtelier\EventfulPro\Admin\Views\Generator\EventfulDisplay;
use ThemeAtelier\EventfulPro\Admin\Views\Generator\EventfulCarousel;
use ThemeAtelier\EventfulPro\Admin\Views\Generator\EventfulTypography;
use ThemeAtelier\EventfulPro\Admin\Views\Generator\EventfulShortcode;
use ThemeAtelier\EventfulPro\Admin\Views\Generator\EventfulDetailsettings;

if (!defined('ABSPATH')) {
	die;
} // Cannot access directly.

class EventfulMetaboxes
{
	/**
	 * Layout Metabox function.
	 *
	 * @param string $prefix The meta-key for this metabox.
	 * @return void
	 */
	public static function layout_metabox($prefix)
	{
		EventfulPro::createMetabox(
			$prefix,
			array(
				'title'        => esc_html__('Eventful', 'eventful-pro'),
				'post_type'    => 'eventful',
				'show_restore' => false,
				'context'      => 'normal',
			)
		);

		EventfulLayout::section($prefix);
	}

	/**
	 * Option Metabox function
	 *
	 * @param string $prefix The metabox key.
	 * @return void
	 */
	public static function option_metabox($prefix)
	{
		EventfulPro::createMetabox(
			$prefix,
			array(
				'title'        	=> esc_html__('View Options', 'eventful-pro'),
				'post_type'    	=> 'eventful',
				'show_restore' 	=> false,
				'nav'        	=> 'inline',
				'theme'        	=> 'light',
			)
		);

		EventfulFilterPost::section($prefix);
		EventfulDisplay::section($prefix);
		EventfulCarousel::section($prefix);
		EventfulDetailsettings::section($prefix);
		EventfulTypography::section($prefix);
	}
	/**
	 * Shortcode Metabox function
	 *
	 * @param string $prefix The metabox key.
	 * @return void
	 */
	public static function shortcode_metabox($prefix)
	{
		EventfulPro::createMetabox(
			$prefix,
			array(
				'title'        => esc_html__('Eventful', 'eventful-pro'),
				'post_type'    => 'eventful',
				'context'      => 'side',
				'show_restore' => false,
			)
		);

		EventfulShortcode::section($prefix);
	}
}
