<?php

/**
 * The main class for Settings configurations.
 *
 * @package Eventful_pro
 * @subpackage Eventful_pro/admin/views
 */

namespace ThemeAtelier\EventfulPro\Admin\Views;

use ThemeAtelier\EventfulPro\Admin\Framework\Classes\EventfulPro;
use ThemeAtelier\EventfulPro\Admin\Views\Settings\EventfulScriptsAndStyles;
use ThemeAtelier\EventfulPro\Admin\Views\Settings\EventfulAccessibility;
use ThemeAtelier\EventfulPro\Admin\Views\Settings\EventfulCustomCSS;

if (! defined('ABSPATH')) {
	die;
} // Cannot access pages directly.

/**
 * Settings.
 */
class EventfulSettings
{

	/**
	 * Create a settings page.
	 *
	 * @param string $prefix The settings.
	 * @return void
	 */
	public static function settings($prefix)
	{

		$capability = eventful_pro_dashboard_capability(); // TODO: filter is not working.

		EventfulPro::createOptions(
			$prefix,
			array(
				'menu_title'       => esc_html__('Settings', 'eventful-pro'),
				'menu_parent'      => 'edit.php?post_type=eventful',
				'menu_type'        => 'submenu', // menu, submenu, options, theme, etc.
				'menu_slug'        => 'eventful-pro-settings',
				'theme'            => 'light',
				'show_all_options' => false,
				'show_search'      => false,
				'show_footer'      => false,
				'show_bar_menu'    => false,
				'class'            => 'ta-pc-settings',
				'framework_title'  => esc_html__('Eventful', 'eventful-pro'),
				'menu_capability'  => $capability,
			)
		);
		EventfulScriptsAndStyles::section($prefix);
		EventfulAccessibility::section($prefix);
		EventfulCustomCSS::section($prefix);
	}
}
