<?php
/**
 * The Enqueue and Dequeue CSS and JS files setting configurations.
 *
 * @package Eventful_pro
 * @subpackage Eventful_pro/admin
 */
namespace ThemeAtelier\EventfulPro\Admin\Views\Settings;

use ThemeAtelier\EventfulPro\Admin\Framework\Classes\EventfulPro;

if ( ! defined( 'ABSPATH' ) ) {
	die; } // Cannot access pages directly.

/**
 * The Layout building class.
 */
class EventfulScriptsAndStyles {

	/**
	 * Advanced setting section.
	 *
	 * @param string $prefix The settings.
	 * @return void
	 */
	public static function section( $prefix ) {
		EventfulPro::createSection(
			$prefix,
			array(
				'title'  => esc_html__( 'Scripts & Styles', 'eventful-pro' ),
				'icon'   => 'icofont-code-alt',
				'fields' => array(
					array(
						'type'    => 'subheading',
						'content' => esc_html__( 'Enqueue or Dequeue JS', 'eventful-pro' ),
					),
					array(
						'id'         => 'eventful_swiper_js',
						'type'       => 'switcher',
						'title'      => esc_html__( 'Swiper JS', 'eventful-pro' ),
						'text_on'    => esc_html__( 'Enqueued', 'eventful-pro' ),
						'text_off'   => esc_html__( 'Dequeued', 'eventful-pro' ),
						'text_width' => 95,
						'default'    => true,
					),
					array(
						'id'         => 'eventful_bx_js',
						'type'       => 'switcher',
						'title'      => esc_html__( 'bxSlider JS', 'eventful-pro' ),
						'text_on'    => esc_html__( 'Enqueued', 'eventful-pro' ),
						'text_off'   => esc_html__( 'Dequeued', 'eventful-pro' ),
						'text_width' => 95,
						'default'    => true,
					),
					array(
						'type'    => 'subheading',
						'content' => esc_html__( 'Enqueue or Dequeue CSS', 'eventful-pro' ),
					),
					array(
						'id'         => 'eventful_swiper_css',
						'type'       => 'switcher',
						'title'      => esc_html__( 'Swiper CSS', 'eventful-pro' ),
						'text_on'    => esc_html__( 'Enqueued', 'eventful-pro' ),
						'text_off'   => esc_html__( 'Dequeued', 'eventful-pro' ),
						'text_width' => 95,
						'default'    => true,
					),
					array(
						'id'         => 'eventful_icofont_css',
						'type'       => 'switcher',
						'title'      => esc_html__( 'IcoFont', 'eventful-pro' ),
						'text_on'    => esc_html__( 'Enqueued', 'eventful-pro' ),
						'text_off'   => esc_html__( 'Dequeued', 'eventful-pro' ),
						'text_width' => 95,
						'default'    => true,
					),
				),
			)
		);
	}
}
