<?php

use ThemeAtelier\EventfulPro\Helpers\EventfulLoopHtml;

/**
 * Pagination display provider
 *
 * This template can be overridden by copying it to yourtheme/eventful-pro/templates/pagination.php
 *
 * @package    Eventful_pro
 * @subpackage Eventful_pro/public
 */

if (! defined('ABSPATH')) {
	exit;
}

if ($show_pagination && ! $eventful_pro_query->is_main_query()) {
	// Paged argument.
	if (get_query_var('paged')) {
		$eventful_pro_paged = get_query_var('paged');
	} elseif (get_query_var('page')) {
		$eventful_pro_paged = get_query_var('page');
	} else {
		$eventful_pro_paged = 1;
	}
	$load_more_button_text    = isset($view_options['load_more_button_text']) ? $view_options['load_more_button_text'] : 'Load More';
	$load_more_ending_message = isset($view_options['load_more_ending_message']) ? $view_options['load_more_ending_message'] : 'No more events available';
?>
	<span class="ta-eventful-pro-pagination-data" style="display:none;" data-loadmoretext="<?php echo esc_attr($load_more_button_text); ?>" data-endingtext="<?php echo esc_attr($load_more_ending_message); ?>"></span>

	<nav class="eventful-pro-post-pagination eventful-pro-on-desktop <?php echo esc_attr($pagination_type); ?>">
		<?php EventfulLoopHtml::eventful_pagination_bar($eventful_pro_query, $view_options, $layout, $eventful_pro_gl_id, $eventful_pro_paged); ?>
	</nav>
	<?php if ('filter_layout' !== $layout_preset) { ?>
		<nav class="eventful-pro-post-pagination eventful-pro-on-mobile <?php echo esc_attr($pagination_type_mobile); ?>">
			<?php EventfulLoopHtml::eventful_pagination_bar($eventful_pro_query, $view_options, $layout, $eventful_pro_gl_id, $eventful_pro_paged, 'on_mobile'); ?>
		</nav>
	<?php
	}
	?>
<?php
}
?>